{
	"format_version": "1.18.0",
	"minecraft:client_entity": {
		"description": {
			"identifier": "ldz:storm_cloud",
			"min_engine_version": "1.10.0",
			"materials": {
				"default": "entity_alphablend"
			},
			"textures": {
				"default": "textures/entity/storm_cloud/default"
			},
			"particle_effects": {
				"snow":"ldz:ender_chiller_blast"
			},
			"sound_effects": {
				"storming": "entity.storm_cloud.storming"
			},
			"geometry": {
				"default": "geometry.storm_cloud"
			},
			"animations": {
				"summon":"animation.storm_cloud.summon",
				"storm":"animation.storm_cloud.storm",
				"disperse":"animation.storm_cloud.disperse",
				"sfx":"animation.storm_cloud.sfx",
				"ctrl.storm": "controller.animation.storm_cloud.storm"
			},
			"scripts": {
				"animate": [
					"sfx",
					{"ctrl.storm":"q.is_alive"}
				]
			},
			"render_controllers": [
				"controller.render.default"
			]
		}
	}
}